#!/bin/sh

set -e

exec 2>&1

autoreconf -i
./configure --disable-static
C_INCLUDE_PATH=/usr/include/apache2/ make

rm -f .libs/liboauth2.so*
ln -s /usr/lib/$(dpkg-architecture -qDEB_BUILD_MULTIARCH)/liboauth2.so .libs/
ln -s /usr/lib/$(dpkg-architecture -qDEB_BUILD_MULTIARCH)/liboauth2.so.? .libs/
ln -s /usr/lib/$(dpkg-architecture -qDEB_BUILD_MULTIARCH)/liboauth2.so.?.?.? .libs/

C_INCLUDE_PATH=/usr/include/apache2/ make check
